Skip to content

Update a status page.

PUT
/status_page/{status_page_id}
curl --request PUT \
--url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "friendly_name": "example" }'
status_page_id
required
string format: uuid

Status page identifier

Media type application/json
object
friendly_name
required
string
Example generated
{
"friendly_name": "example"
}

Status page updated

Media type application/json
object
id
required
string
account_id
required
string
friendly_name
required
string
created_at
required
string format: date-time
page_url
required

Where the public page lives: the custom domain once it is active, otherwise the page’s address on statuspage.siteqwality.com.

string
published
required
boolean
grace_until
string | null format: date-time
Example generated
{
"id": "example",
"account_id": "example",
"friendly_name": "example",
"created_at": "2026-04-15T12:00:00Z",
"page_url": "example",
"published": true,
"grace_until": "2026-04-15T12:00:00Z"
}

Invalid request body

Missing or invalid authentication

Status page not found

Internal server error